//--------------------------------------------------------------
//--------------------------------------------------------------
// KINHELIOS
//--------------------------------------------------------------
// BBA
// 24/12/2010
// Gestion des fonctions de la vente déportée
//--------------------------------------------------------------
//--------------------------------------------------------------

// Déclaration du panier (tableau qui regroupe les lignes d'articles choisies "objet").


// Calcul de la valeur de la hauteur du navigateur
var Hauteur = window.innerHeight;
HauteurChoix = Hauteur - 44;
HauteurPanier = Hauteur - 142;
var gestionPrincipale = "";


//--------------------------------------------------------------
//--------------------------------------------------------------
//--------------------------------------------------------------			
// Gestion à l'ouverture du fichier HTML vte_index.html
//--------------------------------------------------------------
$(document).ready(function()
{

			// création des objets
			document.gestRequete = new obj_requete (document);
			document.gestPrincipal = new obj_principal (document);
			
			// -- INIT --
			document.gestPrincipal.AFF_Ecran_Init("#bt_retour_dem");
			//document.gestPrincipal.AFF_Ecran_Init("#bt_retour");
					 
			// On modifie dans le css par programmation la hauteur d'affichage des pages
		 	$("#corps").css("height", HauteurChoix);	
		 	$("#panier_data").css("height", HauteurPanier); 
          	$("#recherche_photo").css("height", HauteurChoix); 
           	$("#recherche_codebarre").css("height", HauteurChoix); 
           	$("#recherche_liste").css("height", HauteurChoix); 
            $("#choix_article").css("height", HauteurChoix); 
            $("#demarrage").css("height", HauteurChoix); 
		 	
		 	// +++++++++++++++++++++++++++++++++++++++++++++++++
			// INIT de la gestion du clic sur les bt envoyer ou annuler pour le PANIER
			$("#bt_valider").click( function() 
			{
				if(confirm("Confirmez l'envoi du panier à KinTPV ?"))
				{
					document.gestPrincipal.envoi_panier();
					
				}
			});			
			// ++++++++++++
			$("#bt_annuler").click( function() 
			{
				if(confirm("Confirmez la suppression du panier ?"))
				{
					document.gestPrincipal.vider_panier();
				}
			});
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++
			// INIT de la gestion du clic sur les bt de choix d'articles
			$("#bt_photo").click( function() 
			{
				document.gestPrincipal.AFF_Ecran_Init("#bt_photo");
			});
			// ++++++++++++
			$("#bt_codebarre").click( function() 
			{
				document.gestPrincipal.AFF_Ecran_Init("#bt_codebarre");
			});
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++
			// Bouton "Retour" dans les écrans de recherche photo et saisie 
			$("#bt_retour").click( function() 
			{
				document.gestPrincipal.AFF_Ecran_Init("#bt_retour")
			});
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++
			// Bouton "Retour" dans l'écran de modification et visualisation 
			$("#bt_retour_mod").click( function() 
			{
					switch ($('input[name=gestion]').val())
					{
		 				//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
						case "PANIER":
							// -- on retourne sur l'écran liste panier 
							document.gestPrincipal.AFF_Ecran_Init("bt_retour_panier");
							break;
	 		
	 					//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-	
	 					case "CHOIX":	
	 						// -- on retourne sur l'écran liste recherche
	 						document.gestPrincipal.AFF_Ecran_Init("bt_retour_recherche");
	 						break;
	 				}
				});
            
            // +++++++++++++++++++++++++++++++++++++++++++++++++
            // Bouton "Valider" dans l'écran de modification et visualisation
            $("#bt_modifier").click( function() 
			{
					switch ($('input[name=gestion]').val())
					{
		 				//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
						case "PANIER":
							// -- on sauvegarde les modif puis retourne sur l'écran liste panier
							document.gestPrincipal.valider_pageModifPanier();							
							break;
	 		
	 					//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-	
	 					case "CHOIX":	
	 						// -- on sauvegarde les modif puis retourne sur l'écran liste recherche
	 						document.gestPrincipal.valider_pageModifRecherche();
	 													
							// Affichage de l'écran liste recherche
							document.gestPrincipal.AFF_Ecran_Init("bt_retour_recherche");
	 						break;
	 				}
			});
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++
            // Bouton "Valider" dans l'écran de recherche par saisie
            $("#bt_modifier_rech").click( function() 
			{
				document.gestPrincipal.ART_AjoutPanierSelection();				
			});
			
			// +++++++++++++++++++++++++++++++++++++++++++++++++
            // Bouton "Croix" dans l'écran de recherche pour vider le champ de recherche
			$("#bt_rechvider").click( function() 
			{
					$('input[name=saisie]').val("");
					$("#zone_chercher").focus();
			});
			// +++++++++++++++++++++++++++++++++++++++++++++++++
            // Bouton "Croix" dans l'écran de recherche pour vider le champ de recherche
			$("#bt_chercher").click( function() 
			{
					Recherche_Valider();
			});
			// +++++++++++++++++++++++++++++++++++++++++++++++++
			// Bouton "Prepa" dans les écrans de demarrage 
			$("#bt_prepa").click( function() 
			{
				gestionPrincipale = "";
				
				document.gestPrincipal.AFF_Ecran_Init("#bt_retour")
			});	
			// +++++++++++++++++++++++++++++++++++++++++++++++++
			// Bouton "Retour" dans les écrans de recherche photo et saisie 
			$("#bt_retour_dem").click( function() 
			{
				document.gestPrincipal.AFF_Ecran_Init("#bt_retour_dem")
			});
				// +++++++++++++++++++++++++++++++++++++++++++++++++
			// Bouton "Consultation" dans les écrans de demarrage 
			$("#bt_consult").click( function() 
			{
				gestionPrincipale = "CONSULT";
				
				document.gestPrincipal.AFF_Ecran_Init("#bt_consult_codebarre");
				
			});	
			
			$("#bt_retour_visu").click( function() 
			{
				document.gestPrincipal.AFF_Ecran_Init("#bt_consult_retour");
			});	
			
});
//--------------------------------------------------------------------------
//--------------------------------------------------------------------------
//----- Fonction
//--------------------------------------------------------------------------
//--------------------------------------------------------------------------

//---------------------------------------------
//---------------------------------------------			
function AFF_ArticleChoix(gestion,idArticle,idClient,Qte,Decli,vNumLigne)
{
			// Appelé depuis la liste du panier pour modification
			// Appelé depuis la liste de choix d'article
			
			document.gestPrincipal.AFF_Ecran_Init("#bt_AffLignePanier");
			
			// Recherche et affichage de l'article
			//REQ_doAjaxFct("choix_article","get","/KinTPV_Request/VT_CHOIX_ART","idArticle="+idArticle,"","","");
			ART_CalculAff(gestion,idArticle,idClient,Qte,Decli,vNumLigne);
			
		}
//---------------------------------------------			
function ADD_ArticleChoix(idArticle,idClient,Qte,Decli)
{
			// Appelé depuis le choix d'article par photo pour ajouter directement l'article dans le PANIER			
			document.gestPrincipal.AFF_Ecran_Init("#bt_AffLignePanier");
			
			// Recherche et affichage de l'article
			ART_CalculAff("PANIER",idArticle,idClient,Qte,Decli,0);
			
			document.gestPrincipal.ART_AjoutPanierUneLigne();
}
//---------------------------------------------
//---------------------------------------------			
function CSS_ElementGet(name)//getE(name)
{
			// Pour récupérer le style de l'objet passé
			if (document.getElementById)
				var elem = document.getElementById(name);
			else if (document.all)
				var elem = document.all[name];
			else if (document.layers)
				var elem = document.layers[name];
			return elem;
		}
//---------------------------------------------		
function CSS_ElementAff(whichLayer,zone)
{
			// Pour ouvrir ou fermer l'objet passé
			var style = CSS_ElementGet(whichLayer).style;
		 	if (style.display == 'none') $(zone).show();
		 	else $(zone).hide();
		}
//---------------------------------------------
//---------------------------------------------
function ART_ChoixQuantite(decalage)
{
	var qt = parseInt($('input[name=vteQte]').val()) + decalage;
	
	if (qt < 1) qt = 0;
	      
	 // Recalcul du prix total
	ART_CalculAff($('input[name=gestion]').val(),$('input[name=idArticle]').val(),$('input[name=idClient]').val(),qt,$('input[name=decliCode]').val(),$('input[name=numLigne]').val());
	      
}
//---------------------------------------------
function ART_TypeArticleRech(idTypeArt)
{
	var Param = 'typeArticle=' + idTypeArt;
	document.gestRequete.REQ_doAjaxFct('recherche_photo_article','get','/KinTPV_Request/VT_RECH_PHOTO_ART',Param,'','','',this)
}
//---------------------------------------------
function ART_CalculAff(gestion,vIdArticle,vIdClient,vQte,vDecliCode,vNumLigne)
{

	var Param = 'idArticle=' + vIdArticle;
	Param = Param + '&idClient=' + vIdClient;
	Param = Param + '&vteQte=' + vQte;
	Param = Param + '&decliCode=' + vDecliCode;
	Param = Param + '&NumLigne=' + vNumLigne;
	Param = Param + '&gestion=' + gestion;
	
	document.gestRequete.REQ_doAjaxFct('choix_article','get','/KinTPV_Request/VT_CHOIX_ART',Param,'','','',this);   
		
	// Si c'est seulement une consultation ne pas voir la modification de qté
	if(gestionPrincipale=="CONSULT")
	{
		$("#ModifQte").css("display", "none");
		$("#ModifTotal").css("display", "none");
		
	}else
	{
		$("#ModifQte").css("display", "");	
		$("#ModifTotal").css("display", "");
	}	
}
//---------------------------------------------
//---------------------------------------------
//---------------------------------------------
function Recherche_Valider()
{
	ART_Chercher($('input[name=saisie]').val()); 
	if(gestionPrincipale=="CONSULT")
	{
		$('#bt_retour_dem').focus();
	}else
	{
		$('#bt_retour').focus();
	}	
	return false;
}

function ART_Chercher(vSaisie)
{
	var Param = 'vSaisie=' + vSaisie;
	obj_PourRech = document.gestPrincipal.maRecherche.gestRechSaisie;
	document.gestRequete.REQ_doAjaxFct('recherche_liste','get','/KinTPV_Request/VT_RECH_SAISIE',Param,'','','',obj_PourRech); 
	     
	obj_PourRech.listeRecherche_Afficher();
	
	if(gestionPrincipale=="CONSULT")
	{
		$(".LigneRechNom").css("left", "5px");
		$(".LigneRechNom").css("width", "60%");
		$(".LigneRechCB").css("left", "5px");
		$(".LigneClic").css("left", "5px");
	}else
	{
		$(".LigneRechNom").css("left", "65px");
		$(".LigneRechNom").css("width", "40%");
		$(".LigneRechCB").css("left", "65px");
		$(".LigneClic").css("left", "65px");
	}
	
}
//---------------------------------------------
//--------------------------------------------- 
function ART_ChoixListe_Coche(numLigne)
{
	objRech = document.getElementById('recherche_codebarre').gestRechSaisie;
	
	if(objRech.recherche_liste[numLigne].choix == true)
	{
		objRech.recherche_liste[numLigne].choix = false;
	}else
	{
		objRech.recherche_liste[numLigne].choix = true;
	}
}
//-----------------------------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------------------------- 
addEventListener(
         "load",
         function() {
               setTimeout(hideURLbar, 500);
           }, false
  );
  
function hideURLbar() { window.scrollTo(0, 1); }
//---------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
function UTI_Format_Number(vNumber)
{
             var vFormat = Math.round(vNumber*100)/100;
             vFormat = vFormat.toFixed(2);
             return vFormat;
       }
       
